Package org.opengis.cite.iso19142.paging

# Class ResponsePaging

java.lang.Object
org.opengis.cite.iso19142.paging.ResponsePaging

public class ResponsePaging extends Object
Checks preconditions for running tests to verify that the IUT satisfies the requirements of the Response paging conformance class. All tests are skipped if any preconditions are not met. The service constraint "ImplementsResultPaging" must be set to "TRUE" in the capabilities document.

     <OperationsMetadata xmlns="http://www.opengis.net/ows/1.1">
       <Constraint name="ImplementsResultPaging">
         <AllowedValues>
           <Value>TRUE</Value>
         </AllowedValues>
       </Constraint>
     </OperationsMetadata>

An implementation may ensure transactional consistency for response paging, as indicated by the value of the operation constraint PagingIsTransactionSafe (default: FALSE). This constraint applies to GetFeature, GetFeatureWithLock, and GetPropertyValue requests.

See Also:
  - ATC A.1.10: Response Paging

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CACHE_TIMEOUT`
  `static final String`
  `COUNT_DEFAULT`
  `static final String`
  `IMPL_RESULT_PAGING`
  `static final String`
  `PAGING_IS_CONSISTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponsePaging()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `implementsResponsePaging(org.testng.ITestContext testContext)`
  This @BeforeTest configuration method checks the implementation status of the "ImplementsResultPaging" conformance class and looks up the values of the relevant operation constraints ("ResponseCacheTimeout", "PagingIsTransactionSafe", and , "CountDefault").

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPL_RESULT_PAGING

    public static final String IMPL_RESULT_PAGING
    See Also:
      - Constant Field Values

  - ### CACHE_TIMEOUT

    public static final String CACHE_TIMEOUT
    See Also:
      - Constant Field Values

  - ### PAGING_IS_CONSISTENT

    public static final String PAGING_IS_CONSISTENT
    See Also:
      - Constant Field Values

  - ### COUNT_DEFAULT

    public static final String COUNT_DEFAULT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResponsePaging

    public ResponsePaging()

- ## Method Details

  - ### implementsResponsePaging

    @BeforeTest public void implementsResponsePaging(org.testng.ITestContext testContext)
    This @BeforeTest configuration method checks the implementation status of the "ImplementsResultPaging" conformance class and looks up the values of the relevant operation constraints ("ResponseCacheTimeout", "PagingIsTransactionSafe", and , "CountDefault").
    Parameters:
      `testContext` - Information about the test run environment.
    See Also:
      - "OGC 09-025: Table 14, A.2.20.2"